# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetConnections

Function

Assigns a specified Array as the "connections" component of a specified Field.

Syntax
`
#include <dx/dx.h>
`

Field DXSetConnections(Field f, char *type, Array a)

Functional Details

This routine serves as a shortcut to simplify the installation of a "connections" component to a Field. It is equivalent to a call to `DXSetComponentValue` to insert the component into the Field, followed by `DXSetComponentAttribute` to set the component "element type."

Return Value

Returns `f` or returns `NULL` and sets an error code.

See Also

`DXGetConnections, DXSetComponentAttribute, DXSetComponentValue`

"Connections".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]